> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cobrix.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar pagos

> Lista pagos de integraciones y su estado operativo de aplicación.



## OpenAPI

````yaml /openapi/integrations-v1.json get /integrations/v1/{companyId}/payments
openapi: 3.1.0
info:
  title: Cobrix API de integraciones
  version: 1.0.0
  description: >-
    API firmada para sincronizar clientes, documentos de cobro, links y pagos
    verificados. Los campos monetarios terminados en Minor usan unidades
    menores.
  license:
    name: Propietaria
    url: https://cobrix.co/terms
servers:
  - url: https://api.cobrix.co/api
    description: Producción
  - url: https://sandbox-api.cobrix.co/api
    description: Sandbox
security:
  - bearerAuth: []
tags:
  - name: Clientes
    description: Identidades externas vinculadas al source de la llave.
  - name: Documentos de cobro
    description: Documentos o cargos importados desde un sistema externo.
  - name: Links de cobro
    description: Sesiones de checkout para documentos abiertos.
  - name: Pagos
    description: Pagos verificados y su aplicación financiera.
paths:
  /integrations/v1/{companyId}/payments:
    get:
      tags:
        - Pagos
      summary: Listar pagos
      description: Lista pagos de integraciones y su estado operativo de aplicación.
      operationId: listExternalPayments
      parameters:
        - $ref: '#/components/parameters/CompanyId'
        - $ref: '#/components/parameters/CobrixTimestamp'
        - $ref: '#/components/parameters/CobrixSignature'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
        - name: status
          in: query
          schema:
            type: string
          description: Estado persistido del pago.
        - name: operationalStatus
          in: query
          schema:
            $ref: '#/components/schemas/PublicPaymentStatus'
        - name: externalPaymentId
          in: query
          schema:
            type: string
        - name: customerExternalId
          in: query
          schema:
            type: string
        - name: source
          in: query
          schema:
            type: string
        - name: provider
          in: query
          schema:
            type: string
        - name: currency
          in: query
          schema:
            type: string
        - name: paidFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: paidTo
          in: query
          schema:
            type: string
            format: date-time
        - name: updatedSince
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Página de pagos
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    CompanyId:
      name: companyId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: Empresa vinculada a la llave.
    CobrixTimestamp:
      name: Cobrix-Timestamp
      in: header
      required: true
      schema:
        type: string
        pattern: ^[0-9]{10}$
      description: Segundos Unix dentro de una ventana de cinco minutos.
    CobrixSignature:
      name: Cobrix-Signature
      in: header
      required: true
      schema:
        type: string
        pattern: ^v1=[a-f0-9]{64}$
      description: HMAC-SHA256 de timestamp, método, ruta y cuerpo crudo.
    Limit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 50
    Cursor:
      name: cursor
      in: query
      required: false
      schema:
        type: string
      description: Cursor opaco devuelto por la página anterior.
  schemas:
    PublicPaymentStatus:
      type: string
      enum:
        - applied
        - partially_applied
        - credited
        - needs_certified_rate
        - no_open_documents
        - failed
        - already_processed
    PaymentListResponse:
      type: object
      required:
        - items
        - pagination
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PaymentSummary'
        pagination:
          $ref: '#/components/schemas/Pagination'
    PaymentSummary:
      type: object
      required:
        - paymentId
        - source
        - externalPaymentId
        - companyCustomerId
        - amountMinor
        - paymentCurrency
        - applicationCurrency
        - status
        - totalAppliedMinor
        - creditCreatedMinor
      properties:
        paymentId:
          type: string
          format: uuid
        source:
          type: string
        externalPaymentId:
          type: string
        companyCustomerId:
          type: string
          format: uuid
        customer:
          $ref: '#/components/schemas/PaymentCustomer'
        amountMinor:
          type: integer
        paymentCurrency:
          type: string
        applicationCurrency:
          type: string
        status:
          $ref: '#/components/schemas/PublicPaymentStatus'
        paymentStatus:
          type: string
        totalAppliedMinor:
          type: integer
        creditCreatedMinor:
          type: integer
        pendingReason:
          type: string
        paidAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Pagination:
      type: object
      required:
        - limit
        - nextCursor
        - hasMore
      properties:
        limit:
          type: integer
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
    IntegrationError:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            requestId:
              type:
                - string
                - 'null'
    PaymentCustomer:
      type: object
      required:
        - customerId
        - companyCustomerId
      properties:
        customerId:
          type: string
          format: uuid
        companyCustomerId:
          type: string
          format: uuid
        name:
          type: string
        email:
          type: string
  responses:
    Unauthorized:
      description: Llave o firma inválida
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IntegrationError'
          example:
            error:
              code: invalid_api_key
              message: The API key is missing or invalid.
              requestId: req-1001
    Forbidden:
      description: Empresa o scope no autorizado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IntegrationError'
    RateLimited:
      description: Límite por llave y ruta excedido
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IntegrationError'
          example:
            error:
              code: rate_limited
              message: Too many requests for this API key.
              requestId: req-1001
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Cobrix API key
      description: Llave cbx_live creada para el partner.

````